Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1043 - asinh in __math.h fails for negative arg
Summary: asinh in __math.h fails for negative arg
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: libc
Version: 5.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-04 19:22 UTC by mcconnau
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-22 18:49:35 UTC


Attachments (Terms of Use)

Description mcconnau 1999-02-04 19:22:06 UTC
In /usr/include/__math.h  the function asinh fails for
negative arguments because __sgn1 is called before log1p.
The statement should be "return log1p (__y *__y /
(sqrt(__y * __y + 1.0) + 1.0) + __y) * __sgn1(__x);"
A more general problem with this file (or maybe it is the
compiler) is that when function arguments are given as long
double type, they get converted to temporary variables of
double type and then those are loaded onto the FPU.  This
can cause loss of precision and overflow.


Note You need to log in before you can comment on or make changes to this bug.